#
# spec file for package libyui (Version 2.4.18)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gperf gpp libgpp liby2 liby2-devel libycp libycp-devel ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gperf gpm gpp gppshare grep groff gzip kbd less libgpp libtool liby2 liby2-devel libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ydoc

Name:         libyui
Copyright:    (c) 2000 SuSE GmbH
Group:	      System Environment/YaST
Summary:      YaST2 - Library for user interfaces
Version:      2.4.18
Release:      15
Source:       libyui-2.4.18.tar.bz2

%description
Baselibrary for all user interfaces in YaST2

Authors:
--------
    Matthias Kettner <kettner@suse.de>

SuSE series: yast

%package devel
Summary:      Development package for YaST2 user interfaces
Version:      2.4.18
Release:      15
Group:        Development/Libraries
Provides:	libyui:/usr/lib/YaST2/include/yui/YUIInterpreter.h

%description devel
Development package for the YaST2 base user interface library.
This package is interesting for everybody who intends to develop his own
YaST2 user interface besides the existing ones (Qt/graphical, NCurses/text
based).
In addition to that, this package contains documentation for the user
interface language elements of YCP (the YaST2 scripting language) and the
available widgets (the user interface building blocks) and how to use them.

Authors:
--------
    Matthias Kettner <kettner@suse.de>

SuSE series: yast

%prep
%setup -n libyui-2.4.18

%build
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
%ifarch s390x
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -fsigned-char"
%else
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%endif
%{?suse_update_config:%{suse_update_config -f}}
./configure
make

%install
make install-strip
strip --strip-debug /usr/lib/libyui.so.2.0.0

%files
/usr/lib/libyui.so.*

%files devel
/usr/lib/libyui.so
/usr/lib/libyui.la
%dir /usr/include/YaST2/yui
/usr/include/YaST2/yui/*.h
%dir /usr/share/doc/packages/libyui
/usr/share/doc/packages/libyui/*

%changelog -n libyui
* Thu Sep 27 2001 - ma@suse.de
- version to 2.4.18
- fixed YUIInterpreter::Recode(). Only the first ~8K of an input
  string were actually recoded, and it's not advisable to allocate
  the output buffer on stack, as it might be up to 6 times larger
  than the input string (#11329).
* Wed Sep 19 2001 - sh@suse.de
- V 2.4.17
- Fixed bug #10378: Explicit UI::RecalcLayout()
- New UI builtin: RecalcLayout()
- New UI builtin: WidgetExists()
* Tue Sep 18 2001 - kkaempf@suse.de
- allow passing of encoding via SetLanguage(lang, encoding) (#10807).
* Thu Sep 13 2001 - sh@suse.de
- Removed setlocale( LC_ALL ) call - translator is now in WFM
* Thu Sep 06 2001 - sh@suse.de
- V 2.4.15
  New UI builtin: GetDisplayInfo()
* Tue Sep 04 2001 - sh@suse.de
- Fixed bug #8650: Segfault when passing "nil" to ReplacePoint
  V 2.4.14
* Tue Sep 04 2001 - sh@suse.de
- Fixed bug #9401: Segfault in YMultiSelBox debug logging
* Thu Aug 30 2001 - kkaempf@suse.de
- overload {set/get}Textdomain, implement via WFM
* Sat Jul 28 2001 - kkaempf@suse.de
- evaluate locale via evaluateWFM()
  drop const from evaluateLocale()
* Thu Jul 26 2001 - kkaempf@suse.de
- evaluate all arguments of a term, reporting errors
  never expect YCPError from evaluate()
* Thu Jul 26 2001 - msvec@suse.cz
- penguins inside the yast2 window
* Thu Jul 26 2001 - kkaempf@suse.de
- evaluate parameters locally before sending term to WFM
- evaluate parameters locally before sending term to SCR
* Wed Jul 25 2001 - kkaempf@suse.de
- implement evaluate{WFM,UI,SCR}() functions properly
* Wed Jul 11 2001 - sh@suse.de
- V 2.4.6
  New builtin: Glyph()
* Wed Jun 27 2001 - sh@suse.de
- V 2.4.5
  New widget: MultiSelectionBox
* Tue Jun 26 2001 - sh@suse.de
- V 2.4.4
  New widget: MenuButton
* Fri Jun 22 2001 - arvin@suse.de
- fixed to compile with gcc 3.0
* Wed Jun 20 2001 - kkaempf@suse.de
- fix for new automake
- adapt CXXFLAGS for s390x
* Tue Jun 19 2001 - sh@suse.de
- Implemented wish #8357: Restrict input characters
  new widget property `ValidChars for TextEntry, ComboBox
* Tue Jun 19 2001 - kkaempf@suse.de
- implement WFM() and SCR() callback mechanism
* Tue Jun 12 2001 - sh@suse.de
- V 2.4.1
  Changed BarGraph variable substitution from "%%d" to "%%1"
  to become sformat() compatible
* Fri Jun 08 2001 - sh@suse.de
- V 2.4.0
  Macro recorder
* Mon May 07 2001 - sh@suse.de
- V 2.3.9: New parameter "strip_ecoding" for GetLanguage() builtin
  avoid clashes with new GLIBC locale behaviour / UTF-8 locales
* Fri Apr 20 2001 - kkaempf@suse.de
- add split-alias for -devel package
* Thu Apr 05 2001 - sh@suse.de
- new options zeroWidth, zeroHeight for image widget
  to avoid complaints about title graphics not getting their
  "nice size" of 2000 pixels wide
- V 2.3.7
* Tue Mar 27 2001 - kkaempf@suse.de
- implement "Recode"
* Thu Mar 15 2001 - arvin@suse.de
- don't include <minmax.h>
* Thu Mar 08 2001 - arvin@suse.de
- Strip debugging information from libraries in package.
* Wed Mar 07 2001 - arvin@suse.de
- moved libraries to /usr/lib
* Fri Feb 23 2001 - ma@suse.de
- version to 2.3.1
- moved NCstring back to y2curses. recode interface moved to
  YUIInterpreter.
* Thu Jan 25 2001 - kkaempf@suse.de
- Version 2.3.0: package split libyui / libyui-devel
- install C++ includes in /usr/include/YaST2
* Mon Jan 22 2001 - sh@suse.de
- V2.2.13
- Fix for bug #6062: Complaints about SetConsoleFont() params:
  Correct checking of number of parameters for SetConsoleFont()
* Fri Jan 19 2001 - ma@suse.de
- V2.2.12
- Pass encoding as argument to NCstring::setDefaultEncoding()
* Fri Jan 19 2001 - arvin@suse.de
- Fixed communication between threads. Possible fix for bug #5239.
* Thu Jan 18 2001 - sh@suse.de
- V2.2.10
- Better handling for locale specific encodings:
  Add "encoding" parameter to SetConsoleFont() and pass this through
- Fix for bug 5290: Broadcast message corrupts YaST2 NCurses screen
  Added new UI builtin RedrawScreen()
* Tue Jan 16 2001 - kkaempf@suse.de
- check for isNull() also (bug 5239)
* Tue Jan 16 2001 - kkaempf@suse.de
- better error reports (bug 5239)
* Thu Jan 04 2001 - kkaempf@suse.de
- V2.2.7: add NCstring (coming from y2curses)
* Tue Dec 19 2000 - ma@suse.de
- V2.2.6
- pass YCPstrings to ui specific widgets
* Mon Dec 18 2000 - sh@suse.de
- New optional widget: DownloadProgress
- V2.2.5
* Sat Dec 09 2000 - kkaempf@suse.de
- fix setlocale() for glibc 2.2
* Tue Dec 05 2000 - sh@suse.de
- New widget: MultiLineEdit
- V2.2.3
* Thu Nov 30 2000 - sh@suse.de
- Improved layout algorithm: Handle Michel's pathological cases well
* Fri Nov 24 2000 - kkaempf@suse.de
- fix BarGraph widget
* Thu Nov 16 2000 - kkaempf@suse.de
- back to shared libs, support for dynamic plugins
* Thu Nov 09 2000 - kkaempf@suse.de
- link with crypt
* Tue Nov 07 2000 - sh@suse.de
- re-enabled static libs
  new widgets: LogView, IntField
  moved completely to new logging
  version 2.1.5
* Tue Oct 31 2000 - sh@suse.de
- increased gcc warning level
  resolved minor warnings
  disabled static libs (speed up compilation)
  version 2.1.4
* Fri Oct 27 2000 - sh@suse.de
- Added gperf to neededforbuild
  version 2.1.3
* Wed Oct 25 2000 - kkaempf@suse.de
- Group set
* Wed Oct 25 2000 - sh@suse.de
- Infrastructure for special widgets
  special widgets BarGraph, Slider, PartitionSplitter
  version 2.1.2
* Fri Sep 22 2000 - sh@suse.de
- New layout engine
  added Layout-HowTo doc
  added screen shots for important examples
  removed redundant examples dir (now: doc/examples)
  version 2.1.1
* Thu Jul 06 2000 - sh@suse.de
- proper `cancel handling (e.g. X11 window close event)
  version 2.0.4
* Tue Jun 13 2000 - kkaempf@suse.de
- added "GetModulename()" to get Hans more quiet.
  version 2.0.3
* Wed Jun 07 2000 - schwab@suse.de
- Add %%{suse_update_config}.
* Mon Jun 05 2000 - sh@suse.de
- fixed PollInput() core
* Mon May 29 2000 - kkaempf@suse.de
- correct filelist in spec file
* Thu May 18 2000 - kkaempf@suse.de
- join development package
  bump version to 2.0.1
* Mon May 15 2000 - sh@suse.de
- New widget: ComboBox
* Fri May 12 2000 - kkaempf@suse.de
- patches to automake/libtool for IA64
* Thu May 11 2000 - kkaempf@suse.de
- add ycp and y2 to neededforbuild
* Wed Apr 26 2000 - kkaempf@suse.de
- Initial version based on yast2 from SuSE 6.4
